> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Shipment Allocations

> List active per-provider allocations for a shipment.



## OpenAPI

````yaml get /inventory/shipments/{shipment_id}/allocations
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /inventory/shipments/{shipment_id}/allocations:
    get:
      tags:
        - Purchasing
      summary: List Shipment Allocations
      description: List active per-provider allocations for a shipment.
      operationId: >-
        list_shipment_allocations_inventory_shipments__shipment_id__allocations_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: shipment_id
          in: path
          required: true
          schema:
            type: string
            title: Shipment Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ShipmentProviderAllocation'
                title: >-
                  Response List Shipment Allocations Inventory Shipments 
                  Shipment Id  Allocations Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ShipmentProviderAllocation:
      properties:
        id:
          type: string
          title: Id
        providerId:
          type: string
          title: Providerid
        shipmentId:
          type: string
          title: Shipmentid
        allocatedQuantity:
          type: number
          title: Allocatedquantity
        remainingQuantity:
          type: number
          title: Remainingquantity
      type: object
      required:
        - id
        - providerId
        - shipmentId
        - allocatedQuantity
        - remainingQuantity
      title: ShipmentProviderAllocation
      description: Per-provider allocation of a shipment (response).
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````